Package org.apache.aries.jax.rs.whiteboard.cxf.helpers

## Class JavaUtils

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.cxf.helpers.JavaUtils

    public final class JavaUtils
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isJava8Before161()`
`static boolean` `isJava9Compatible()`
`static boolean` `isJavaKeyword​(String keyword)` checks if the input string is a valid java keyword.
`static String` `makeNonJavaKeyword​(String keyword)` Turn a java keyword string into a non-Java keyword string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isJavaKeyword

    public static boolean isJavaKeyword​(String keyword)

checks if the input string is a valid java keyword.

Returns:
  boolean true/false

#### makeNonJavaKeyword

    public static String makeNonJavaKeyword​(String keyword)

Turn a java keyword string into a non-Java keyword string. (Right now this simply means appending an underscore.)

#### isJava9Compatible

    public static boolean isJava9Compatible()

#### isJava8Before161

    public static boolean isJava8Before161()